/* ==========================================================================
  BUTTON MENU
  ===========================================================================*/

.button-menu,
.button-close{

  position: relative;
  z-index: 3;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  font-size: 0;
  padding: 5px;
  border: none;
  outline: none;
  background-color: transparent;
  cursor: pointer;

  @include mq('tablet-small', 'max') {
    width: 30px;
    height: 30px;
  }

  &:hover {

    .icon-burger {
      background-color: $color-primary;

      &::before,
      &::after {
        background-color: $color-primary;
      }
    }

    .icon-close {

      &::before,
      &::after {
        background-color: $color-primary;
      }
    }
  }
}

.icon-burger {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 2px;
  background-color: $color-black;
  transition: 0.3s;

  &::before,
  &::after {
    content: "";
    position: absolute;
    display: inline-block;
    height: 100%;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    background-color: $color-black;
    transition: 0.3s;
  }

  &:before {
    top: 10px;
    @include mq('tablet-small', 'max') {
      top: -8px;
    }
  }
  &:after {
    top: -10px;
    @include mq('tablet-small', 'max') {
      top: 8px;
    }
  }
}

.icon-close {
  position: relative;
  display: inline-block;
  width: 100%;
  height: 2px;
  background-color: transparent;
  transition: 0.3s;

  &::before,
  &::after {
    content: "";
    position: absolute;
    display: inline-block;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    background-color: $color-primary;
    transition: 0.3s;
  }

  &:before {
    transform: rotate(45deg);
  }
  &:after {
    transform: rotate(-45deg);
  }
}

.button-close {
  position: absolute;
  z-index: 2;
  top: 10px;
  right: 10px;

  @include mq('desktop') {

    &.js-menu-close {
      display: none;
    }
  }
}

/* end button menu */
